<?
$sub_menu	= "400000";												//-- sms 관리 2011. 05. 28
include_once("./_common.php");
auth_check($auth[$sub_menu], "r");
$token		= get_token();

$g4[title]	= "SMS 관리";
include_once("../admin.head.php");
include_once($g4[path]."/zm.extend/sms/sms_ini.php");										//-- sms를 보내기 위한 준비 단계
?>
<style type="text/css">
	.center			{ text-align:center; }
	.list			{ margin:20px; }
	.ing			{ margin:50px; text-align:center; }
</style>
<?
$admin	= get_admin();
//-- 문자 전송하기 ------------------------------
?>
<div name="sending" class="ing">문자 전송 중...</div>
<?
//-- 받는사람 전화번호, 받는 사람 이름, 보내는 사람 전화번호, 보내는 사람 이름, 문자 내용[, 예약전송 여부(1:즉시전송, 2:예약전송)][, 예약시간 YYYY-MM-DD hh-ii-ss]
$resvTime		= $inYear . "-" . $inMonth . "-" . $inDay . " " . $inHour . ":" . $inMin . ":00";			//-- 예약시간

$fromName		= "$admin[mb_nick]";
if(!$fromName) $fromName = "관리자";
$aSendPcs	= explode("@", $arSendPcs);
$aSendName	= explode("@", $arSendName);

//-- 문자 전송
for($i = 0; $i < count($aSendPcs); $i++) :
	if($aSendPcs[$i]) {
		if(!$aSendName[$i]) $aSendName[$i]	= $aSendPcs[$i];
		$result	= sendsms($aSendPcs[$i], $aSendName[$i], $inSenderPcs, $fromName, $inMsg, "$inSndStyle",	"$resvTime");
		$aRes			= explode("/", $result);

		//-- $aRes[0] : 폰번호 , $aRes[1] : 전송 결과 ?>
		<div class="center list"><span style="width:20px;"><?=$aRes[0]?>.</span><span style="width:100px;"><?=$aRes[1]?></span></div>
<?	}
endfor; ?>
<div name="sending" class="ing">문자 전송 완료</div>

<div class="center list"><a href="sms_phonebook.php"><img src="img/btn_confirm.gif"></a></div>

<?
include_once("../admin.tail.php");
?>